# Uses of Class
it.tdlight.jni.TdApi.ThumbnailFormat

## Uses of TdApi.ThumbnailFormat in it.tdlight.jni

Subclasses of TdApi.ThumbnailFormat in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.ThumbnailFormatGif`
The thumbnail is in static GIF format.
`static final class`
`TdApi.ThumbnailFormatJpeg`
The thumbnail is in JPEG format.
`static final class`
`TdApi.ThumbnailFormatMpeg4`
The thumbnail is in MPEG4 format.
`static final class`
`TdApi.ThumbnailFormatPng`
The thumbnail is in PNG format.
`static final class`
`TdApi.ThumbnailFormatTgs`
The thumbnail is in TGS format.
`static final class`
`TdApi.ThumbnailFormatWebp`
The thumbnail is in WEBP format.
Fields in it.tdlight.jni declared as TdApi.ThumbnailFormat
Modifier and Type
Field
Description
`TdApi.ThumbnailFormat`
TdApi.Thumbnail.`format`
Thumbnail format.
Constructors in it.tdlight.jni with parameters of type TdApi.ThumbnailFormat
Modifier
Constructor
Description
``
`Thumbnail(TdApi.ThumbnailFormat format, int width, int height, TdApi.File file)`
Represents a thumbnail.